Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class PhoneMessage

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.PhoneMessage

All Implemented Interfaces:
  java.io.Serializable

public class PhoneMessage
extends Memo
implements java.io.Serializable

This class is a phone message. Phone Message instances are obtained from the `Documents` class and if `getDocumentType` is `PHONE_MESSAGE` the document has additional properties and can be created as a `PhoneMessage`.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a PersonalStationery.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getCompanyName()` Gets the company name of the phone message.
`java.lang.String` | `getFaxNumber()` Gets the fax number of the phone message.
`java.lang.String` | `getPhoneCaller()` Gets the phone caller of the phone message.
`java.lang.String` | `getPhoneNumber()` Gets the phone number of the phone message.
`java.lang.String` | `getPhoneReason()` Gets the phone reason of the phone message.

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a PersonalStationery. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws DominoException

  Gets the company name of the phone message.

  Returns:
    the company name of the phone message
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.COMPANY_NAME`

### getPhoneNumber

    public java.lang.String getPhoneNumber()
                                    throws DominoException

  Gets the phone number of the phone message.

  Returns:
    the phone number of the phone message
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_NUMBER`

### getPhoneCaller

    public java.lang.String getPhoneCaller()
                                    throws DominoException

  Gets the phone caller of the phone message.

  Returns:
    the phone caller of the phone message
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_CALLER`

### getPhoneReason

    public java.lang.String getPhoneReason()
                                    throws DominoException

  Gets the phone reason of the phone message.

  Returns:
    the phone reason of the phone message
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PHONE_REASON`

### getFaxNumber

    public java.lang.String getFaxNumber()
                                  throws DominoException

  Gets the fax number of the phone message.

  Returns:
    the fax number of the phone message
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FAX_NUMBER`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.